%define name    raptor2
%define version 2.0.4
%define release %mkrel 1

%define major	0
%define libname %mklibname %{name}_ %{major}
%define develname %mklibname -d %{name}

Summary:   	Raptor RDF Parser Toolkit for Redland
Name:      	%{name}
Version:   	%{version}
Release:   	%{release}
License: 	GPL LGPL
Group:     	Development/Other
Source:    	http://librdf.org/dist/source/%{name}-%{version}.tar.gz
URL:       	http://librdf.org/raptor/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: 	libxml2-devel >= 2.6.8
BuildRequires:	libxslt-devel >= 1.0.18
BuildRequires:  curl-devel >= 7.12.0
Conflicts:	raptor < 2.0.0

%description
Raptor is the RDF Parser Toolkit for Redland that provides
a set of standalone RDF parsers, generating triples from RDF/XML
or N-Triples.

%package -n	%{libname}
Summary:        Dynamic libraries from %{name}
Group:          System/Libraries

%description -n	%{libname}
Dynamic libraries from %{name}.

%package -n	%{develname}
Summary:	Header files and static libraries from %name
Group:		Development/C
Requires:	%{libname} >= %{version}
Provides:	%{name}-devel = %{version}

%description -n	%{develname}
Libraries and includes files for developing programs based on %{name}.

%prep
%setup -qn %{name}-%{version}

%build
%configure2_5x --disable-static --with-html-dir=/dev/null
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%if "%{_lib}" == "lib64"
perl -pi -e "s|-L/usr/lib\b|-L%{_libdir}|g" %{buildroot}%{_libdir}/*.la
%endif

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post -n %libname -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libname -p /sbin/ldconfig
%endif

%files
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog LICENSE.txt NEWS README
%{_mandir}/man1/rap*
%{_mandir}/man3/libraptor2.3*
%{_bindir}/rapper

%files -n %libname
%defattr(-,root,root)
%{_libdir}/lib*.so.%{major}*

%files -n %develname
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*


%changelog
* Thu Aug 11 2011 Funda Wang <fwang@mandriva.org> 2.0.4-1mdv2011.0
+ Revision: 693993
- new version 2.0.4

* Mon Jun 20 2011 Oden Eriksson <oeriksson@mandriva.com> 2.0.3-2
+ Revision: 686323
- avoid pulling 32 bit libraries on 64 bit arch

* Thu Jun 02 2011 Funda Wang <fwang@mandriva.org> 2.0.3-1
+ Revision: 682446
- update to new version 2.0.3

* Thu May 05 2011 Oden Eriksson <oeriksson@mandriva.com> 2.0.2-2
+ Revision: 669407
- mass rebuild

* Mon Mar 21 2011 Funda Wang <fwang@mandriva.org> 2.0.2-1
+ Revision: 647299
- update to new version 2.0.2

* Sun Feb 27 2011 Funda Wang <fwang@mandriva.org> 2.0.0-3
+ Revision: 640211
- rebuild to obsolete old packages

* Wed Feb 09 2011 Funda Wang <fwang@mandriva.org> 2.0.0-2
+ Revision: 637009
- do not install docs so that it won't conflicts with raptor1

* Wed Feb 09 2011 Funda Wang <fwang@mandriva.org> 2.0.0-1
+ Revision: 636976
- import raptor2

